"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
Object.defineProperty(exports, "__esModule", { value: true });
var urql_1 = require("urql");
var mutation = urql_1.gql(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  mutation CreateMqlQuery(\n    $modelKey: ModelKeyInput\n    $metrics: [String!]\n    $groupBy: [String!]\n    $where: ConstraintInput\n    $addTimeSeries: Boolean\n    $pctChange: PercentChange\n    $granularity: Granularity = DAILY\n    $startTime: String\n    $endTime: String\n  ) {\n    createMqlQuery(\n      input: {\n        modelKey: $modelKey\n        metrics: $metrics\n        groupBy: $groupBy\n        where: $where\n        addTimeSeries: $addTimeSeries\n        pctChange: $pctChange\n        granularity: $granularity\n        startTime: $startTime\n        endTime: $endTime\n        resultFormat: TFD\n      }\n    ) {\n      id\n      query {\n        id\n        status\n        metrics\n        dimensions\n        error\n        result {\n          seriesValue\n          data {\n            y\n            ... on TimeSeriesDatum {\n              xDate\n            }\n          }\n        }\n      }\n    }\n  }\n"], ["\n  mutation CreateMqlQuery(\n    $modelKey: ModelKeyInput\n    $metrics: [String!]\n    $groupBy: [String!]\n    $where: ConstraintInput\n    $addTimeSeries: Boolean\n    $pctChange: PercentChange\n    $granularity: Granularity = DAILY\n    $startTime: String\n    $endTime: String\n  ) {\n    createMqlQuery(\n      input: {\n        modelKey: $modelKey\n        metrics: $metrics\n        groupBy: $groupBy\n        where: $where\n        addTimeSeries: $addTimeSeries\n        pctChange: $pctChange\n        granularity: $granularity\n        startTime: $startTime\n        endTime: $endTime\n        resultFormat: TFD\n      }\n    ) {\n      id\n      query {\n        id\n        status\n        metrics\n        dimensions\n        error\n        result {\n          seriesValue\n          data {\n            y\n            ... on TimeSeriesDatum {\n              xDate\n            }\n          }\n        }\n      }\n    }\n  }\n"])));
exports.default = mutation;
var templateObject_1;
